import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

export function getToken() {
  return Cookies.get(TokenKey)
}

// export function setToken(token) {
//   return Cookies.set(TokenKey, token)
// }
export function setToken(token) {
  // 修改这里，添加 SameSite 和 Secure 属性
  return Cookies.set(TokenKey, token, {
    sameSite: 'None',
    secure: true,
    expires: 7 // 7天过期，根据你的需求调整
  })
}
export function removeToken() {
  return Cookies.remove(TokenKey)
}
